Admin/cronjob/self_update
changeset 64148 bbf43b7c4d0d
child 64432 c381bfd068fd
--- /dev/null	Thu Jan 01 00:00:00 1970 +0000
+++ b/Admin/cronjob/self_update	Tue Oct 11 20:20:32 2016 +0200
@@ -0,0 +1,14 @@
+#!/bin/bash
+#
+# self-update of the administrative isabelle repository
+#
+# Need to copy this file manually to $HOME/cronjob in order to
+# avoid overwriting the running self_update by itself!
+
+source "$HOME/.bashrc"
+
+cd "$HOME/cronjob"
+mkdir -p run log
+
+hg -R isabelle pull -q || echo "self_update pull failed"
+hg -R isabelle update -C -q || echo "self_update update failed"